﻿Imports Infragistics.Web.UI.GridControls
Imports Infragistics.Web.UI.LayoutControls

Public Class Sample06
  Inherits System.Web.UI.Page

  Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load

  End Sub



  Private Sub oGrid_Init(sender As Object, e As System.EventArgs) Handles oGrid.Init
    If Not Page.IsPostBack Then
      Dim dt As New System.Data.DataTable("CostDetails")
      Dim ds As New DataSet
      dt.Columns.Add("DetailID", GetType(Int64))
      dt.Columns.Add("FromDate", GetType(DateTime))
      dt.Columns.Add("GoalValue", GetType(Double))

      ' dt.Rows.Add(dt.NewRow())
      ds.Tables.Add(dt)

      oGrid.DataSource = ds
      oGrid.DataBind()
    End If

    oGrid.EnableAjax = True
    oGrid.EnableAjaxViewState = False
    oGrid.AutoGenerateBands = True
    oGrid.AutoGenerateColumns = True
    oGrid.EnableDataViewState = True
    oGrid.InitialDataBindDepth = 0
    oGrid.StyleSetName = "RubberBlack"
  End Sub

  Private Sub oGrid_InitializeBand(sender As Object, e As Infragistics.Web.UI.GridControls.BandEventArgs) Handles oGrid.InitializeBand
    e.Band.Behaviors.CreateBehavior(Of Activation)()
    e.Band.Behaviors.Activation.Enabled = True
    e.Band.Behaviors.CreateBehavior(Of EditingCore)()
    e.Band.Behaviors.EditingCore.EnableInheritance = True
    e.Band.Behaviors.EditingCore.Behaviors.CreateBehavior(Of RowAdding)()
    e.Band.Behaviors.EditingCore.Behaviors.RowAdding.Enabled = True
    e.Band.Behaviors.EditingCore.Behaviors.RowAdding.Alignment = AddNewRowAlignment.Bottom
    e.Band.Behaviors.EditingCore.Behaviors.RowAdding.EnableInheritance = True
    e.Band.Behaviors.EditingCore.Behaviors.RowAdding.EditModeActions.EnableF2 = True
    e.Band.Behaviors.EditingCore.Behaviors.RowAdding.EditModeActions.EnableOnActive = True
    e.Band.Behaviors.EditingCore.Behaviors.RowAdding.EditModeActions.EnableOnKeyPress = True
    e.Band.Behaviors.EditingCore.Behaviors.CreateBehavior(Of RowDeleting)()
    e.Band.Behaviors.EditingCore.Behaviors.RowDeleting.Enabled = True
    e.Band.Behaviors.EditingCore.Behaviors.RowDeleting.EnableInheritance = True
    e.Band.Behaviors.EditingCore.Behaviors.CreateBehavior(Of CellEditing)()
    e.Band.Behaviors.EditingCore.Behaviors.CellEditing.Enabled = True
    e.Band.Behaviors.EditingCore.Behaviors.CellEditing.EnableInheritance = True
    e.Band.Behaviors.EditingCore.Behaviors.CellEditing.EditModeActions.EnableF2 = True
    e.Band.Behaviors.EditingCore.Behaviors.CellEditing.EditModeActions.EnableOnActive = True
    e.Band.Behaviors.EditingCore.Behaviors.CellEditing.EditModeActions.EnableOnKeyPress = True

    e.Band.DataMember = "CostDetails"
    e.Band.DataKeyFields = "DetailID"

    oGrid.RefreshBehaviors()
  End Sub
End Class